<?php
  $ruta="../../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/grupo.php");
  $grupo=new grupo;
  include_once($ruta."class/ciclo.php");
  $ciclo=new ciclo;
   include_once($ruta."class/grupocredito.php");
  $grupocredito=new grupocredito;
  include_once($ruta."class/credito.php");
  $credito=new credito;
  include_once($ruta."class/creditodetalle.php");
  $creditodetalle=new creditodetalle;
  include_once($ruta."class/personagrupo.php");
  $personagrupo=new personagrupo;
  include_once($ruta."class/persona.php");
  $persona=new persona;
  include_once($ruta."class/tipobanca.php");
  $tipobanca=new tipobanca;

  include_once($ruta."funciones/funciones.php");
  session_start(); 
  extract($_GET);
  $idgrupoCred=dcUrl($lblcode);
  $grc=$grupocredito->muestra($idgrupoCred);
  $gr=$grupo->muestra($grc['idgrupo']);
  $cred=$credito->muestra($code);
  $per=$persona->mostrarPrimero("idpersona=".$cred['idpersona']);
  $tba=$tipobanca->muestra($cred['idtipobanca']);
  $eje=$vadmejecutivo->muestra($cred['idejecutivo']);
  $domC=$dominio->muestra($cred['estadocredito']);
  if ($cred['estadocredito']==151) {
    $credd=$creditodetalle->mostrarPrimero("idcredito=".$code." and codoperacion=1001");
    $codOT=ecUrl($credd['idcreditodetalle']);
    //echo $credd['idcreditodetalle'];
  }
  $idcreditolbl=ecUrl($cred['idcredito']);

  $scred=$credito->mostrarPrimero("idgrupocredito=".$idgrupoCred." and idcredito<>$code and estado=0 and tipocredito=0");
  if (count($scred)>0) {
    $siguienteCred=$scred['idcredito'];
  }else{
    $siguienteCred=0;
  }
  $lblvolver=ecUrl($grc['idgrupo']);
  $codeCred=ecUrl($code);
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php
      $hd_titulo="Otorgar Créditos";
      include_once($ruta."includes/head_basico.php");
      include_once($ruta."includes/head_tabla.php");
    ?>
    <style type="text/css">   
      .tb{
        font-weight: bold;
        color: #268E6A;
      }
    </style>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1042;
          include_once($ruta."aside.php");
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
              <div class="row">
               <div class="col s12 m12 l12">
                  <h5 class="breadcrumbs-title"><i class="fa fa-tag"></i> Otorgar Crédito <?php echo $gr['nombre'] ?></h5>
                </div>
              </div>
            </div>
          </div>
          <div class="container">
            <div class="section">
              <div class="row">
                <div class='col s12 m12 l12'>
                  <a href="../?lblcode=<?php echo $lblvolver ?>" class="btn blue waves-effect waves-light "><i class="fa fa-mail-reply-all"></i> Volver</a>
                  <fieldset class="informacion">
                    <legend><div class="titulo"><strong>Opciones de Crédito</strong> </div></legend>
                    <form class="col s12" id="idform" action="return false" onsubmit="return false" method="POST">
                      <input type="hidden" name="idcredito" id="idcredito" value="<?php echo $code ?>">
                      <?php
                        if ($cred['estado']==0) {
                          ?>
                            <h3 class="red">Crédito pendiente</h3>
                            <div class="input-field col s12 m6 l4">
                              <input id="idmonto" name="idmonto"  type="number" class="validate" value="0">
                              <label for="idmonto">Monto a otorgar BS</label>
                            </div>
                            <div class="col s12 m6 l8"><button id="btnOtorgar" class="btn waves-effect purple"><i class="fa fa-money"></i> Otorgar Crédito</button></div>
                          <?php
                        }else{
                          ?>
                            <h3 class="green">Crédito otorgado</h3>
                            <!--
                            <a target="_blank" href="comprobante/?lblcode=<?php echo $codOT ?>" class="btn waves-effect red"><i class="fa fa-print"></i> Imprimir comprobante de desembolso</a>-->
                            <a target="_blank" href="planpagos/?lblcode=<?php echo $idcreditolbl ?>" class="btn waves-effect cyan"><i class="fa fa-print"></i> Imprimir Plan de Pagos</a>
                          <?php
                        }
                      ?>
                    </form>
                    <div align="right">
                      <?php
                        if ($siguienteCred>0) {
                          ?>
                            <a href="?lblcode=<?php echo $lblcode ?>&code=<?php echo $siguienteCred ?>" class="btn blue">Siguiente Persona <i class="fa fa-angle-double-right"></i></a>
                          <?php
                        }else{
                          ?>
                            <a href="../?lblcode=<?php echo $lblvolver ?>" class="btn blue waves-effect waves-light "><i class="fa fa-mail-reply-all"></i> Volver</a>
                          <?php
                        }
                      ?>
                    </div>
                  </fieldset>
                  <fieldset class="informacion">
                    <legend><div class="titulo"><strong>Información del Prestatario</strong> </div></legend>
                    <div class="col s12 m6 l4">Nombre: <b class="yellow"><?php echo $per['nombre']." ".$per['paterno']." ".$per['materno'] ?></b></div>
                    <div class="col s12 m6 l4">CI: <b><?php echo $per['carnet']." ".$per['expedido'] ?></b></div>
                    <div class="col s12 m6 l4">Cod Cli: <b><?php echo $per['idpersona'] ?></b></div>
                    <div class="col s12 m6 l4">Fecha nacimiento: <b><?php echo $per['nacimiento'] ?></b></div>
                    <div class="col s12 m6 l4">Celular: <b><?php echo $per['celular'] ?></b></div>
                    <div class="col s12 m6 l4">
                      Sexo: <b>
                        <?php
                        if ($per['idsexo']==1) {
                          # code...
                          echo "MASCULINO";
                        }else{
                          echo "FEMENINO";
                        }

                        ?>
                      </b>
                    </div>
                  </fieldset>
                  <!-- INFORMACION DEL CREDITO-->
                  <fieldset class="informacion">
                    <legend><div class="titulo"><strong>Información del Crédito</strong> </div></legend>
                    <div class="col s12 m6 l4">Cuenta: <b><?php echo $cred['cuenta'] ?></b></div>
                    <div class="col s12 m6 l4">Monto Otorgado: <b><?php echo $cred['montoOT'] ?></b></div>
                    <div class="col s12 m6 l4">Banca: <b><?php echo $tba['nombre'] ?></b></div>
                    <div class="col s12 m6 l4">Cuotas: <b><?php echo $cred['cuotas'] ?></b></div>
                    <div class="col s12 m6 l4">Lapso entre cuotas: <b><?php echo $cred['lapsoDias']." Dias" ?></b></div>
                    <div class="col s12 m6 l4">Interés(%): <b><?php echo $cred['interes'] ?></b></div>
                    <div class="col s12 m6 l4">Ahorro Inicial(%): <b><?php echo $cred['fgarantia'] ?></b></div>
                    <div class="col s12 m6 l4">Deposito acumulado (%): <b><?php echo $cred['depacumulado'] ?></b></div>
                    <div class="col s12 m6 l4">Seguro (%): <b><?php echo $cred['seguro'] ?></b></div>
                    <div class="col s12 m6 l4">Fecha primer pago: <b><?php echo $cred['fechaprimer'] ?></b></div>
                    <div class="col s12 m6 l4">Grupo: <b><?php echo $gr['nombre'] ?></b></div>
                    <div class="col s12 m6 l4">Ejecutivo: <b><?php echo $eje['nombre']." ".$eje['paterno']." ".$eje['materno'] ?></b></div>
                    <div class="col s12 m6 l4">Moneda: 
                      <b>
                        <?php
                          if ($cred['moneda']=="MN") {
                            echo "MONEDA NACIONAL";
                          }
                        ?>
                      </b>
                    </div>
                    <div class="col s12 m6 l4">Estado: <b><?php echo $domC['nombre'] ?></b></div>
                  </fieldset>
                </div> 
              </div>
            </div> 
          </div>
        </section>
      </div>
    </div>
    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
    ?>
    <script type="text/javascript">

        $("#btnOtorgar").click(function(){
        if (validar()) 
        {          
          swal({
            title: "¿Esta seguro?",
            text: "Se otorgará el crédito. Entrega al prestatario el monto acordado",
            type: "warning",
            showCancelButton: true,
            confirmButtonColor: "#2c2a6c",
            confirmButtonText: "Registrar",
            closeOnConfirm: false,
            showLoaderOnConfirm: true
          }, function () {
            var str = $( "#idform" ).serialize();
            $.ajax({
              url: "otorgar.php",
              type: "POST",
              data: str,
              success: function(resp){
                setTimeout(function(){     
                  console.log(resp);
                  $('#idresultado').html(resp);  
                }, 150); 
              }
            }); 
          });
        }else{
          swal("ERROR","Ingrese un monto válido","error");
        }
      });
      function validar(){
        retorno=true;
        var monto=$('#idmonto').val();
        if(monto<=0){
          retorno=false;
        }
        return retorno;
      }
    </script>
</body>

</html>